@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

*,
::after,
::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style-type: none;
    text-decoration: none;
}

:root {
    --background: #111111;
    --text: #FFFFFF;
    --textBlack: #000000;
    --red: #A31616;
    --redHover: #CE1F1F;
    --grey: #696969;
    --green: #16a355;
    --bgForm: #130909;
    --borderFormm: #A3161630;
    --font: 'outfit', sans-serif;
}

body {
    background: var(--background);
    color: var(--text);
    font-family: var(--font);
    height: 100vh;
}

.button {
    padding: 10px 30px;
    border: none;
    border-radius: 10px;
    color: var(--text);
    font-weight: bold;
    font-size: 16px;
    background: var(--red);
    cursor: pointer;
    transition: .3s;
}

.button:hover {
    background: var(--redHover);
}

/* Navbar */

header {
    position: fixed;
    width: 100%;
    padding: 10px;
    z-index: 100;
}

header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header nav a img {
    height: 50px;
}

header nav ul .avatar img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    cursor: pointer;
    transition: .3s;
    border: 2px solid transparent;
}

header nav ul .avatar img:hover {
    border: 2px solid var(--red);
}

header nav ul .dropdown {
    position: absolute;
    right: 10px;
    display: none;
    flex-direction: column;
    gap: 40px;
    background: var(--bgForm);
    padding: 40px;
    border-radius: 10px;
    border: 2px solid var(--borderFormm);
}

header nav ul .dropdown .close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 20px;
    height: 20px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

header nav ul .dropdown .close:hover {
    color: #696969;
}

header nav ul .dropdown .userInfo {
    display: flex;
    justify-content: center;
    gap: 40px;
}

header nav ul .dropdown .userInfo .avatarDropdown img {
    width: 100px;
    height: 100px;
    border: 1px solid var(--red);
    border-radius: 100%;
}

header nav ul .dropdown .userInfo .userInfos {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

header nav ul .dropdown .userInfo .userInfos .username {
    font-size: 30px;
    font-weight: bold;
}

header nav ul .dropdown .userInfo .userInfos .date {
    font-size: 14px;
    color: #A0A0A0;
}

header nav ul .dropdown .infosContent {
    display: flex;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .infosContent .nbSeries {
    flex: 1;
    border: 1px solid var(--red);
    border-radius: 10px;
    padding: 20px;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .infosContent .title {
    font-size: 20px;
}

header nav ul .dropdown .infosContent .number {
    color: var(--red);
}

header nav ul .dropdown .buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

header nav ul .dropdown .buttons li a {
    padding: 10px 30px;
    width: 100%;
    background: var(--red);
    border-radius: 10px;
    transition: .3s;
    color: var(--text);
    display: inline-block;
    display: flex;
    align-items: center;
    gap: 10px;
}

header nav ul .dropdown .buttons li a:hover {
    background: var(--redHover);
}

header nav ul .dropdown .buttons li button {
    padding: 10px 30px;
    width: 100%;
    border: none;
    background: var(--red);
    border-radius: 10px;
    font-size: 16px;
    transition: .3s;
    color: var(--text);
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

header nav ul .dropdown .buttons li button:hover {
    background: var(--redHover);
}

/* Home */

.homeBackground {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    height: 500px;
    border-radius: 100%;
    background: var(--red);
    filter: blur(500px);
    z-index: -1;
}

.homeContent {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 200px 10px;
    gap: 30px;
}

.homeContent .japan {
    color: var(--grey);
    letter-spacing: 10px;
    font-weight: bold;
}

.homeContent h1 {
    font-size: 4em;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.homeContent h1 span {
    color: var(--red);
}

.homeContent .text {
    width: 500px;
    text-align: center;
}

/* Form */

.formulaire {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

.formulaire .titleForm {
    font-size: 6em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

form {
    display: flex;
    gap: 20px;
    flex-direction: column;
    padding: 40px;
    border-radius: 20px;
    background: var(--bgForm);
    border: 2px solid var(--borderFormm);
    width: 440px;
}

form .close {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 20px;
    height: 20px;
    color: var(--text);
    cursor: pointer;
    transition: .3s;
}

form .close:hover {
    color: #696969;
}

form .avatarInformation,
form .posterInput {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

form .avatarInformation p,
form .posterInput p {
    font-weight: bold;
}

form .avatarInformation .avatarContent {
    position: relative;
    width: 150px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
}


form .avatarInformation .avatarContent label {
    position: absolute;
    top: 0;
    left: 0;
    width: 150px;
    height: 150px;
    border-radius: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0000007c;
    opacity: 0;
    transition: .3s;
    cursor: pointer;
}

form .avatarInformation .avatarContent label:hover {
    opacity: 1;
}

form .avatarInformation .avatarContent img {
    width: 150px;
    height: 150px;
    border: 1px solid var(--red);
    border-radius: 100px;
}

form .avatarInformation input {
    display: none;
}

form .posterInput .posterContent {
    position: relative;
    width: 100px;
    height: 150px;
    left: 50%;
    transform: translateX(-50%);
}

form .posterInput .posterContent label {
    position: absolute;
    top: 0;
    left: 0;
    width: 100px;
    height: 150px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0000007c;
    opacity: 0;
    transition: .3s;
    cursor: pointer;
}

form .posterInput .posterContent label:hover {
    opacity: 1;
}

form .posterInput .posterContent img {
    width: 100px;
    height: 150px;
    border: 1px solid var(--red);
    border-radius: 10px;
}

form .posterInput input {
    display: none;
}

form .inputSection {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

form .inputSection label {
    font-weight: bold;
}

form .inputSection input,
form .inputSection select {
    padding: 10px;
    border-radius: 10px;
    background: none;
    border: 2px solid var(--red);
    color: var(--text);
}

form .inputSection .inputPassword {
    position: relative;
}

form .inputSection .inputPassword input {
    width: 100%;
}

form .inputSection .inputPassword svg {
    position: absolute;
    height: 100%;
    right: 10px;
    cursor: pointer;
    color: var(--red);
}

form .inputSection .inputPassword svg:hover {
    color: var(--redHover);
}

form .inputSection p {
    font-size: 14px;
}

form .inputSection a {
    color: var(--red);
}

.message__error {
    color: var(--red);
}

.message__success {
    color: var(--green);
}

/* Collection */

.headerCollection {
    padding: 200px 10px 40px 10px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.headerCollection .titleCollection,
.headerSerie .titleCollection {
    font-size: 3em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.headerCollection .buttonCollection {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.mainCollection {
    width: 100%;
    padding: 10px;
}

.mainCollection .textNbSeries {
    font-weight: bold;
}

.mainCollection .textNbSeries .nbSeries {
    color: var(--red);
}

.card-container {
    position: relative;
}

.mainCollection .cards {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 30px 0;
}

.mainCollection .cards .card {
    position: relative;
    top: 0;
    width: 200px;
    height: 300px;
    border-radius: 10px;
    border: 2px solid var(--borderFormm);
    cursor: pointer;
    transition: .3s;
}

.mainCollection .cards .card:hover {
    top: -5px;
}

.mainCollection .cards .card img {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    object-fit: cover;
}

.mainCollection .cards .card .titleCard {
    position: absolute;
    left: 10px;
    bottom: 10px;
    z-index: 1;
    font-size: 20px;
    font-weight: bold;
    color: var(--text);
}

.mainCollection .cards .card .tomeCard {
    position: absolute;
    top: 10px;
    left: 10px;
    font-weight: bold;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--red);
    border-radius: 4px;
    z-index: 1;
}

.mainCollection .cards .card .cardFilter {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80%;
    border-radius: 8px;
    background: linear-gradient(to top, #000000, #00000000);
    transition: .3s;
}

.mainCollection .cards .card .cardFilterManga {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 8px;
    background: #0000006c;
    transition: .3s;
}

.mainCollection .cards .card .cardFilter:hover {
    height: 100%;
}

/* Options des cartes */

.mainCollection .cards .card .options {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 34px;
    height: 34px;
}

.mainCollection .cards .card .options .btnOptions {
    background: var(--red);
    border: none;
    display: none;
    justify-content: center;
    align-items: center;
    border-radius: 4px;
    padding: 5px;
    color: var(--text);
    cursor: pointer;
}

.mainCollection .cards .card:hover .options .btnOptions {
    display: flex;
}

.mainCollection .cards .card .options .btnOptions:hover {
    background: var(--redHover);
    transition: .3s;
}

.mainCollection .cards .card .options .menuOptions {
    position: absolute;
    top: 40px;
    right: 0;
    display: none;
    flex-direction: column;
    padding: 10px;
    border-radius: 10px;
    background: var(--background);
    border: 1px solid var(--red);
}

.mainCollection .cards .card .options .menuOptions .btnMenu {
    display: flex;
    align-items: center;
    padding: 10px;
    gap: 10px;
    border: 1px solid #A3161600;
    border-radius: 4px;
    color: var(--text);
}

.mainCollection .cards .card .options .menuOptions .btnMenu:last-child {
    margin-top: 10px;
}

.mainCollection .cards .card .options .menuOptions .btnMenu:hover {
    border: 1px solid var(--red);
}

/* Modal */

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000;
}

.modalSerie,
.modalManga,
.modalSerieEdit,
.modalMangaEdit,
.modalSettings {
    display: none;
}

.titleModal {
    font-size: 3em;
    font-weight: bold;
    background: linear-gradient(to bottom, var(--red), #A3161600);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;
}

.modalSerieEdit .titleModal,
.modalMangaEdit .titleModal {
    font-size: 2em;
}

/* Serie */

.headerSerie {
    padding: 10px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.return {
    display: inline-block;
    margin: 150px 0 0 10px;
    color: var(--text);
    transition: .3s;
}

.return p {
    padding: 10px;
    border: 1px solid var(--text);
    border-radius: 10px;
    transition: .3s;
}

.return p:hover {
    background: var(--text);
    color: var(--textBlack);
}

.headerSerie .titleButton {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

@media (width <=577px) {
    .formulaire .titleForm {
        font-size: 3em;
    }

    .homeContent {
        padding: 120px 20px;
        gap: 20px;
    }

    .homeContent .japan {
        letter-spacing: 5px;
        font-size: 14px;
    }

    .homeContent h1 {
        font-size: 2.5em;
        line-height: 1.1;
    }

    .homeContent .text {
        width: 100%;
        font-size: 16px;
        padding: 0 10px;
    }

    .homeBackground {
        width: 80%;
        height: 300px;
        filter: blur(150px);
    }

    .homeContent .button {
        width: 100%;
        max-width: 300px;
        text-align: center;
    }
}

@media (width <=484px) {
    .formulaire {
        width: 100%;
        padding: 10px;
    }

    .form {
        width: 100%;
        max-width: 100%;
    }
}

@media (width <=440px) {
    .mainCollection .cards {
        gap: 15px;
        padding: 10px;
    }

    .mainCollection .cards>a {
        width: 100%;
    }

    .mainCollection .cards .card-container {
        width: 100%;
    }

    .mainCollection .cards .card {
        width: 100%;
        height: 250px;
    }

    .mainCollection .cards .card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
    }

    .mainCollection .cards .card .titleCard {
        font-size: 24px;
        bottom: 15px;
        left: 15px;
    }

    .mainCollection .cards .card .options .btnOptions {
        display: flex;
    }

    .mainCollection .cards .card:hover {
        top: 0px;
    }

    .modal {
        width: calc(100% - 20px);
        padding: 20px;
        max-height: 90vh;
        overflow-y: auto;
    }

    .titleModal {
        font-size: 2em;
    }

    .modal .posterInput .posterContent {
        transform: translateX(-50%) scale(0.8);
    }

    header nav ul .dropdown {
        position: fixed;
        top: 70px;
        left: 50%;
        transform: translateX(-50%);
        width: calc(100% - 20px);
        height: auto;
        max-height: 90vh;
        overflow-y: auto;
        padding: 20px;
        gap: 20px;
    }

    header nav ul .dropdown .userInfo {
        flex-direction: column;
        align-items: center;
        gap: 15px;
        text-align: center;
    }

    header nav ul .dropdown .userInfo .userInfos .username {
        font-size: 24px;
    }

    header nav ul .dropdown .infosContent {
        flex-direction: column;
        width: 100%;
    }

    header nav ul .dropdown .infosContent .nbSeries {
        width: 100%;
        padding: 15px;
    }

    header nav ul .dropdown .buttons li a,
    header nav ul .dropdown .buttons li button {
        justify-content: center;
        padding: 15px;
    }
}